Page MenuHomePhabricator

[CLANG] [AVX512] [BUILTIN] Adding pmovzx{b|d|w}{w|d|q}{128|256|512} builtin to clang
ClosedPublic

Authored by m_zuckerman on Feb 7 2016, 6:35 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

m_zuckerman updated this revision to Diff 47128.Feb 7 2016, 6:35 AM
m_zuckerman retitled this revision from to [CLANG] [AVX512] [BUILTIN] Adding pmovzx{b|d|w}{w|d|q}{128|256|512} builtin to clang .
m_zuckerman updated this object.
m_zuckerman added reviewers: delena, AsafBadouh, igorb.
m_zuckerman added a subscriber: llvm-commits.
AsafBadouh added inline comments.Feb 7 2016, 8:07 AM
include/clang/Basic/BuiltinsX86.def
1581 ↗(On Diff #47128)

can you please change the order of ATTRS to be consistent with the rest of the file?
I.e. (avx512bw,avx512vl) -> (avx512vl,avx512bw)

m_zuckerman updated this revision to Diff 47200.Feb 8 2016, 7:44 AM
m_zuckerman marked an inline comment as done.
AsafBadouh accepted this revision.Feb 18 2016, 1:47 AM
AsafBadouh edited edge metadata.

LGTM

This revision is now accepted and ready to land.Feb 18 2016, 1:47 AM
This revision was automatically updated to reflect the committed changes.